﻿////
/// Copyright(C) 2020 Micronet Co. All Rights Reserved.
//
using System;
using System.Runtime.InteropServices;

namespace Rsi
{
    /// <summary>
    /// "item=value"の書式文字列をそれぞれ分解する（itemだけの場合も有効だよ）
    /// </summary>
    internal class ItemValue
    {
        public string item;
        public string value;

        public ItemValue(string setting)
        {
            string[] s = setting.Split('=');
            item = s[0];
            value = (s.Length != 2) ? "" : s[1];
        }
    }

    /// <summary>
    /// 区切り文字separatorで区切られた文字列を分解してリストを作る
    /// </summary>
    internal class ItemValues
    {
        public static string[] StringSplitOptions(string settings, char separator)
        {
            return settings.Split(separator);
        }
    }
}
